#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	HandBrake
Version		:	1.8.1
Release		:	17.2.0.rel%{?dist}
Summary		:	An open-source multiplatform video transcoder
Group		:	Application

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://handbrake.fr

Source0		:	%{name}-%{version}-source.tar.bz2
#to extract previous version see "TARBALLS"
Source10	:	%{name}-external-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	desktop-file-utils
Buildrequires	:	ffmpeg
BuildRequires	:	jansson
BuildRequires	:	gtk-devel
BuildRequires	:	harfbuzz-devel
BuildRequires	:	lame
BuildRequires	:	libass
BuildRequires	:	libnotify
BuildRequires	:	libbluray-devel
BuildRequires	:	libsamplerate
BuildRequires	:	libtheora
BuildRequires	:	libva-devel
BuildRequires	:	libvorbis
BuildRequires	:	libvpx
BuildRequires	:	nasm
BuildRequires	:	numactl-devel
BuildRequires	:	opus-devel
BuildRequires	:	x264-devel
BuildRequires	:	speex

Requires	:	hicolor-icon-theme
Requires	:	gtk+
Requires	:	shared-mime-info

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
'%{name}' is a general-purpose, free, open-source, cross-platform, multithreaded
video transcoder software application. It can process most common multimedia
files and any DVD or Bluray sources that do not contain any kind of copy
protection.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS.markdown COPYING LICENSE 
%doc NEWS.markdown README.markdown THANKS.markdown
%{_bindir}/%{name}CLI
%{_bindir}/ghb
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/applications/fr.handbrake.ghb.desktop
%{_datadir}/icons/hicolor/scalable/apps/fr.handbrake.ghb.svg
%{_datadir}/metainfo/fr.handbrake.ghb.metainfo.xml

#-----------------------------------------------------------------------------
%post
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi

#=============================================================================
%prep
%setup -q
TARBALLS="ok"
if [ "${TARBALLS}" = "ok" ] ; then
  tar xf %{SOURCE10}
  fi

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
	--launch-jobs=0					\
	--launch					\
	--build _bld					\
        --prefix=%{_prefix}				\
	--optimize=speed				\
	--disable-gst					\
	--enable-fdk-aac				\
	--enable-x265					\
	--enable-gtk					\
	--enable-numa					\
	--enable-qsv					\
	--strip="/bin/true"				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	%{_smp_mflags}					\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C _bld						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   						\
	--delete-original					\
	--dir %{buildroot}%{_datadir}/applications 		\
	%{buildroot}%{_datadir}/applications/*.desktop 		\

#-----------------------------------------------------------------------------
%changelog
